type color = R | G | B | C | M | Y | K | W | U

type tag = TB | TEM | TI | TPL | TS | TTT | TU | TSize of int 
| TColor of color | Notag

type parsetree = element list
and element =
    Text of string | Space of char | Tag of tag * string * parsetree 
  | Nil

let add e l =
  match e with
    Nil -> l
  | _ -> e :: l
